#include<iostream>
using namespace std;
int main () {
    long long edno , dve , n;
    int mqsto1 , mqsto2;
    cin >> edno >> mqsto1 >> dve >> mqsto2 >> n;

    if ( edno <= n && mqsto1 == 'A'){
        cout << edno;
    }
    if ( edno > n && mqsto1 == 'A'){
        cout << n;
    }
    if ( mqsto2 == 'A' && mqsto1 >= n){
        cout << 0;
    }
    if ( mqsto2 == 'A' && mqsto1 < n){
        cout << mqsto1 - n;
    }



return 0;
}
